package com.link.core.converter.util;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class ResourceBundleUtil {
   public static ResourceBundle getBundle(Class baseClass, String baseName) throws MissingResourceException {
      return getBundle(baseClass, baseName, (Locale)null);
   }

   public static ResourceBundle getBundle(Class baseClass, String baseName, Locale locale) throws MissingResourceException {
      if (baseName == null) {
         throw new MissingResourceException("baseName", ResourceBundleUtil.class.getName(), baseName);
      } else {
         String fullName = baseName;
         if (fullName.charAt(0) != '/') {
            if (baseClass == null) {
               fullName = '/' + fullName;
            } else {
               fullName = baseClass.getPackage().getName().replace('.', '/') + '/' + fullName;
            }
         }

         ClassLoader classLoader = ResourceBundleUtil.class.getClassLoader();
         if (baseClass != null) {
            classLoader = baseClass.getClassLoader();
         }

         Locale aLocale = locale == null ? Locale.getDefault() : locale;
         return ResourceBundle.getBundle(fullName, aLocale, classLoader);
      }
   }
}
